Bug 14601 - The cache directory for the user gencache should be created recursively
Summary: The cache directory for the user gencache should be created recursively
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other (show other bugs)
Version: 4.13.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-21 09:20 UTC by Andreas Schneider
Modified: 2021-01-14 08:45 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.13.next. (8.32 KB, patch)
2021-01-07 20:56 UTC, Jeremy Allison
asn: review+
Details
git-am fix for 4.12.next. (8.30 KB, patch)
2021-01-07 20:56 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2020-12-21 09:20:59 UTC
The cache directory for the user gencache should be created recursively.

It is possible that ~/.cache doesn't exist for a user yet.
Comment 1 Samba QA Contact 2021-01-07 00:00:06 UTC
This bug was referenced in samba master:

bf7b165877bdfd07eb84ecafdc87bd7a6d945f09
38c989fab78c3baade3e441829b7becf6b25ef3f
Comment 2 Jeremy Allison 2021-01-07 20:56:05 UTC
Created attachment 16379 [details]
git-am fix for 4.13.next.

Back-port from master.
Comment 3 Jeremy Allison 2021-01-07 20:56:34 UTC
Created attachment 16380 [details]
git-am fix for 4.12.next.

Back-port from master.
Comment 4 Andreas Schneider 2021-01-11 12:14:58 UTC
Comment on attachment 16380 [details]
git-am fix for 4.12.next.

Thank you very much for the backports Jeremy!
Comment 5 Andreas Schneider 2021-01-11 12:15:28 UTC
Karolin, could you please apply the patches to the relevant branches?

Thanks!
Comment 6 Karolin Seeger 2021-01-11 12:27:23 UTC
(In reply to Andreas Schneider from comment #5)
Pushed to autobuild-v4-{13,12}-test.
Comment 7 Samba QA Contact 2021-01-13 13:45:12 UTC
This bug was referenced in samba v4-12-test:

83e0a8cdd133d91aec959dc750896beb61158cd8
6da2e77cf81f13ca23bbad0454e068c6b74a181e
Comment 8 Samba QA Contact 2021-01-13 14:55:18 UTC
This bug was referenced in samba v4-13-test:

c28deed6da1047c87d3514c7787cb7d1913bc207
1581c4c075270f26a1d1fc363dbcc8ccd44fc6c7
Comment 9 Samba QA Contact 2021-01-14 08:35:15 UTC
This bug was referenced in samba v4-12-stable (Release samba-4.12.11):

83e0a8cdd133d91aec959dc750896beb61158cd8
6da2e77cf81f13ca23bbad0454e068c6b74a181e
Comment 10 Karolin Seeger 2021-01-14 08:45:59 UTC
Closing out bug report.

Thanks!